Subject: Re:RE: Re[2]: Connector spec swathing

From: [email-masked]
Date: Thu, 15 Jun 2000 13:49:12 -0500

Chris, 

My basic reply was to the comment that we should just create full matrices and
be done with it...  To this I disagree..

I agree that it would be nice to have an "example" (less stronger than
"recommended") of a "swath implementation".  I am not sure that there should be
a downside to this activity... other than the time it would take to contribute
to the common good.

As with this issue and as with the specification to date, I would be willing to
work with someone to make it happen.  I think the sub-committee could take this
on...  but I wouldn't want to overstep my inference space.

IBISCnn Subcommittee...  I think we are good with making an example.... 
maybe???  Either way... let's put this issue to bed (To make an example or not
make an example, that is the question :) ) at out next subcommittee
teleconference.

Chris,
We may want to call upon you for your help with this activity.  Would you be
available?

_gus: 630-527-4617

____________________Reply Separator____________________
Subject:    RE: Re[2]: Connector spec swathing
Author: "Chris Rokusek" <[email-masked]>
Date:       6/15/00 9:27 AM

Gus,

Given that some companies actually do possess the tools to create Full
Matrix connectors (& packages) accurately and efficiently and given that
simulators MUST come up with algorithms to reduce this full matrix (perhaps
efficiently with an accuracy tradeoff), simulator companies are just trying
to avoid extra work in having to write two algorithms that do very similar
things--one to expand the swath to arbitrary pins and one to reduce the full
matrix to arbitrary pins.  Many of us prefer to solve the most
general/accurate problem first (Full Matrix).

I don't think we're saying "don't use the swath", I think all we're saying
is provide us with a recommended algorithm (and perhaps build it into the
parser) for expanding the swath into a full matrix so that each simulator
can potentially get the same answer for the most general case.  It seems
like that would keep everybody happy.

Chris Rokusek
Innoveda

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Thursday, June 15, 2000 4:37 AM
> To: fred
> Cc: Kellee Crisafulli; IBIS Mailing list
> Subject: Re[2]: Connector spec swathing
>
>
> Fred,
>
> I am sure that if you have this question, so do others... as such I have
> prepared a fairly lengthy reply.
>
> The "basic" answer to the question is...
>
> Find a FIELD simulator that can generate a 100 pin connector model from a
> connector with a general current path length of around 2.5cm.
>
> Make sure it is a true 3D simulator.
>
> OK... now find one that can do such using less than 8GB of RAM
> and 4 xxxx GHz.
> processors
>   -  This is pretty much what one might call a high end
> PC/Workstation.  Maybe
> even not "typical" hardware.
>
> OK...  Using what has been found above...  have the problem solve
> in the FIELD
> simulator in less than a week.  (BTW, a week is solve time, it
> does not include
> reports, empirical confirmation, or support documentation)
>
> OK...  now put that full matrix model that is generated into a circuit
> simulator....  Setup the rest of the problem....  go away for the
> weekend...
> comeback Monday....  still not done...  Comeback Wednesday...
> Ooopps  found out
> that a termination resistor was misplaced... restart the simulation.
>
>
> The point is...  connector companies would be perfectly happy with smaller
> models...
>
> But from what I have been told my customers which are the same as many SI
> simulators NEED to be able to model 50, 100, 200, 500, 1000, 5000
> pins... (Yes,
> these are all real connector sizes today).
>
>
> As a work around for this problem.... we suggest the preverbal
> "critical net
> analysis". Which will still take 8 hours to solve using something
> in the order
> of a 40 pin connector model.
>
> Also,  I as a connector manufacture make parts with different
> circuit sizes...
> sometime from 10 to 1000 in 10 pin increments...  OK... there we have 100
> models...  Lets say we just go up to 100 pins...  that is 10
> models... at 3 days
> AVERAGE per model (smaller models take less time)...  that means
> one month of
> FIELD SIMULATION time...  and we STILL  can not support any thing
> over 100 pins.
>
>
>  Not to mention that connector companies have about 40,000
> different product
> lines.. lets say conservatively that only 1% of the 40,000
> require models...
> That's 400.... a conservative estimate would be that there are 10
> circuit sizes
> for each of those 400 connectors...  as such 4,000 different
> models.  OF EACH
> Type.  There are three basic types Single Line models, MultiLine
> Models, and
> Cascaded Models...  then there are TWO VERSIONS of each type...
> distributed and
> lumped...  grand total 24,000 SPECIFIC models.
>
> But wait,  Now model makers and simulators also have to database
> and revision
> control the models.
>
> Point being...  an auto swath will give end uses access to more
> models with more
> pin options than they ever had before (to answer the customers
> requests). And
> GREATLY reduce the redundancies such that the 24,000 models above
> can be done in
> 1 model per connector family.. or 400 files.
>
>
> _gus: 630-527-4617
>
>
> ____________________Reply Separator____________________
> Subject:    Re: Connector spec swathing
> Author: fred <[email-masked]>
> Date:       6/15/00 1:33 AM
>
> I know the connector specification committee has spent much time
> and effort in
> comming up with the specification.  However the current swat
> matrix approach
> seems overly complicated and technically less than desirable.
> Why not give the
>
> full matrix and let the simulation SI tool decide which part of
> the matrix to
> choose
> for simulation based on what pin and coupling is desired. We (simulation
> vendors)
> only need the data. We can decide how and when to use what.  What
> we need is
> the committee to do is identify the connector pins to the matrix diagonal
> entrys. If
> the connector is very large in terms of number of pins then
> whether one gets a
> full
> or sparse matrix will depend on the field solver capabilities. This is not
> intended to
> be critical of the committee which has worked long and hard to
> come up with a
> spec
> in the first place while hence keeping everybody happy.
>
> Best Regards,
>
> Kellee Crisafulli wrote:
>
> > Hi Chris,<SNIP>
>

---

From: "Chris Rokusek" <[email-masked]>
Date: Thu, 15 Jun 2000 14:52:36 -0700

Gus,

> We may want to call upon you for your help with this activity.

I'll help where I can...

Bob's example is a good starting point for uniform internal coupling but as
he states it could be generalized further for non-uniform internal coupling
(as well as the other generalizations he mentions if they are allowed by the
spec).  My assumption is that the Connector Spec does not restrict a swath
to have uniform internal coupling.  Now if uniform coupling is the norm then
I guess we're ready to party.

BTW:  Does Molex/Amp/Teradyne already have a app note describing swath
expansion beyond Bob's posting?

Chris Rokusek
Innoveda

> Sent: Thursday, June 15, 2000 11:49 AM
> To: IBIS Mailing list
> Subject: Re:RE: Re[2]: Connector spec swathing
>
>
> Chris,
>
<snip>